---
title: 2.0.0
summary: ppl post overhaul
date: 2013-05-09
layout: changelog
section: development
categories: [changelog]
permalink: /development/changelog/2.0.0.html
---

As a result of its backwards compatibility breaking changes, the overhaul of
[ppl post](/documentation/commands/post) brings us to version 2.0.0. The
behaviour and usage of this command have changed completely in order to cope
with storing multiple postal addresses per contact.

Here is a short summary of what has changed:

* Running `ppl post` no longer lists contacts' full addresses.
  Instead it lists contacts' address *IDs*.
* Running `ppl post <contact>` no longer shows that contact's single postal
  address. Instead it lists *all* that contact's postal addresses.
* Postal address now have their own IDs. In order to change a postal address,
  the ID of both the contact and the address itself must be given.
* It is now possible to mark a postal address as "preferred", similarly to email
  addresses and phone numbers.

From a technical point of view, the downside of this release is the minor
violation of [RFC2426](http://www.ietf.org/rfc/rfc2426.txt) that it introduces.
The `ADR` field's `TYPE` attribute is intended as a means of tagging addresses
with extra information such as "home" or "work", but as of 2.0.0, ppl
misappropriates this attribute as the home of the unique ID of each postal
address.

